# XMLDiff\Memory::merge

(PECL xmldiff >= 0.8.0)

XMLDiff\Memory::merge — Produce merged XML document

### Description

public XMLDiff\Memory::merge ( string `$src` , string `$diff` ) : string

Create new XML document based on diffs and source document.

### Parameters

`src`

  Source XML document.

`diff`

  XML document containing diff information.

### Return Values

String with the new XML document or NULL.